IPSW-DYLD-STR(1)

NAME
ipsw-dyld-str - Search dyld_shared_cache for string

SYNOPSIS
ipsw dyld str [STRING...] [flags]

DESCRIPTION
Search dyld_shared_cache for string

OPTIONS
-h, --help[=false]
    help for str

-p, --pattern=""
    Regex match strings (SLOW)

OPTIONS INHERITED FROM PARENT COMMANDS
--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--no-color[=false]
    disable colorize output

-V, --verbose[=false]
    verbose output

EXAMPLE
      # Perform FAST byte search for string in dyld_shared_cache
      ❯ ipsw dsc str DSC "string1"
      # Perform FAST byte search for multiple strings in dyld_shared_cache
      ❯ ipsw dsc str DSC "string1" "string2"
      # Perform FAST byte search for strings from stdin in dyld_shared_cache
      ❯ cat strings.txt | ipsw dsc str DSC
      # Perform SLOW regex search for string in dyld_shared_cache
      ❯ ipsw dsc str DSC --pattern "REGEX_PATTERN"

SEE ALSO
ipsw-dyld(1)

HISTORY
25-Nov-2025 Auto generated by spf13/cobra